$h = @{}

dir *.xml | Foreach {
	$obj = try {Import-Clixml $_.FullName} catch {$null} 
	foreach($i in $obj) {
		$h["$($i.Computer)"] += ,$i.ProcessName
	}
	$obj = $null
}

foreach ($c in $h.Keys) {
	$h[$c] | Group -NoElement | Select-Object @{n="passdate";e={$c}},@{n="id";e={$_.Name}},Count | 
		Export-CSV -Path D:\testxml.csv -Delimiter "`t" -Encoding UTF8 -NoTypeInformation
}

$h.Clear()